Subject: [PATCH 2.6.9-rc2 6/8] S2io: new txd allocation

From: "Ravinandan Arakali" <[email-masked]>
Date: Wed, 13 Oct 2004 18:15:42 -0700

Hi,
The attached patch contains a modified scheme for allocating Tx descriptor
blocks.
More description follows.

In the old scheme, the entire Tx descriptor space was allocated in one go.
This could cause driver load to fail on systems with low(or scattered)
memory. The Tx descriptor blocks are now allocated on per-page basis. A new
structure (list_info) has been introduced in nic_t structure to keep track
of the physical and virtual addresses of every TxD allocated this way.

Signed-off-by: Raghavendra Koushik <[email-masked]>